@import  'abstracts/_mixins'
@import  'abstracts/_variables'
@import 'abstracts/_breakpoints'

.review-cart-container
  .content
    +flex(center, flex-start, column)
    +general-box-shadow(0, 7px, 15px, 0, rgba(0, 0, 0, .05))
    width: 500px
    height: 600px
    overflow-y: scroll
    padding: var(--padding)
    border-radius: var(--border-radius)
    background: var(--white)
    .data-zero
      +flex(center, center, column)
      height: 100%
      span
        font-size: var(--fs-l)
      a
        text-decoration: none
        &.go-to
          cursor: pointer
          color: var(--red-1)
          font-size: var(--fs-xl)
          &:hover
            text-decoration: underline
    .item
      +flex(flex-start, space-between)
      width: 100%
      height: 150px
      border-bottom: 1px solid var(--gray-1)
      .img-wrapper
        img
          width: 100px
          height: 100px
      .details
        +flex(flex-end, flex-end, column)
  .price-details
    margin-top: 15px
    height: 100%
    .detail
      span
        font-size: var(--fs-xl)
      &.total
        +flex(center, space-between)

@media only screen and (max-width: $break-mobile)
  .review-cart-container
    .content
      background-color: transparent
      box-shadow: none
      overflow-y: visible
      width: 100%
      height: 100%
      padding: 0
      .item
        +general-box-shadow(0, 7px, 15px, 0, rgba(0, 0, 0, .05))
        align-items: center
        background-color: white
        margin: 10px 0
        .details
          padding: var(--padding)

    .price-details
      background: var(--white)
      padding: var(--padding)
